package com.foreverwin.mesnac.equip.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.foreverwin.mesnac.equip.mapper.EquipTypeMapper;
import com.foreverwin.mesnac.equip.model.EquipType;
import com.foreverwin.mesnac.equip.service.EquipTypeService;
import com.foreverwin.modular.core.util.FrontPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author Max
 * @since 2020-10-10
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class EquipTypeServiceImpl extends ServiceImpl<EquipTypeMapper, EquipType> implements EquipTypeService {


    @Autowired
    private EquipTypeMapper equipTypeMapper;

    @Override
    public IPage<EquipType> selectPage(FrontPage<EquipType> frontPage, EquipType equipType) {
        QueryWrapper<EquipType> queryWrapper = new QueryWrapper<>();
        queryWrapper.setEntity(equipType);
        return super.page(frontPage.getPagePlus(), queryWrapper);
    }

    /*@Override
    public List<EquipType> selectList(EquipType equipType) {
        QueryWrapper<EquipType> queryWrapper = new QueryWrapper<>();
        queryWrapper.setEntity(equipType);
        return super.list(queryWrapper);
    }*/


}